/* #############################################################################################
   ###############################   JS TIMELINE WZP   #########################################
   ############################################################################################# */
if (!window.$wzp) {window.$wzp={}}

window.$wzp.timeline = function(e) {
    if (!e) return;
    const divs = e.querySelectorAll("div");
    
    if ("IntersectionObserver" in window) {
        const observer = new IntersectionObserver(
            function (entries, observer) {
                entries.forEach((entry) => {
                    const target = entry.target;
                    if (entry.isIntersecting) {
                        target.classList.add("wzp-timeline-anzeige-script");

                        observer.unobserve(target);
                    }
                });
            },
            { root: null, rootMargin: "0px", threshold: 0 }
        );


        divs.forEach((ele) => observer.observe(ele));
    } else {
        divs.forEach((div) => div.classList.add("wzp-timeline-anzeige-script"));
    }
    
    e.querySelectorAll(".wzp-timeline--hasImg").forEach((li) => {
        li.addEventListener("click", () => {
            $.fancybox({
                href: li.getAttribute("data-src"),
                
            })
        });
    });
};


document.addEventListener("DOMContentLoaded", function () {
   document.querySelectorAll("ul.wzp-timeline-animate").forEach((e) => window.$wzp.timeline(e));
    
});
/* #############################################################################################
   ############################   ENDE JS TIMELINE WIDGET ZP    ################################
   ############################################################################################# */